/****************************************************************************
 * Copyright (c) 2010-2012, EBM WebSourcing - All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of the University of California, Berkeley nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE REGENTS AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ****************************************************************************/
 
package com.ebmwebsourcing.easycommons.uuid.framework;

public final class Stats {
	
	private final long tenPercent;
	private final long median;
	private final long ninetyPercent;
	private final long min;
	private final long average;
	private final long max;
	
	public Stats(final long tenPercent, final long median, final long ninetyPercent, final long min,
			final long average, final long max) {
		super();
		this.tenPercent = tenPercent;
		this.median = median;
		this.ninetyPercent = ninetyPercent;
		this.min = min;
		this.average = average;
		this.max = max;
	}

	public long getTenPercent() {
		return this.tenPercent;
	}

	public long getMedian() {
		return this.median;
	}

	public long getNinetyPercent() {
		return this.ninetyPercent;
	}

	public long getMin() {
		return this.min;
	}

	public long getAverage() {
		return this.average;
	}

	public long getMax() {
		return this.max;
	}

	@Override
	public String toString() {
        final StringBuilder strBuf = new StringBuilder();
		strBuf.append(this.tenPercent);
		strBuf.append('/');
		strBuf.append(this.median);
		strBuf.append('/');
		strBuf.append(this.ninetyPercent);
		strBuf.append(" | ");
		strBuf.append(this.min);
		strBuf.append('/');
		strBuf.append(this.average);
		strBuf.append('/');
		strBuf.append(this.max);
		return strBuf.toString();
	}

}
